//================================================================
//Structures
//================================================================

// Block pair currently dropping
typedef struct {
	int x1, y1, col1;
	int x2, y2, col2;
} blocks;

// Smashed blocks currently exploding
typedef struct {
	int col[80],x[80],y[80],frame[80],player[80];
} smashed;


//================================================================
//Prototypes For Sprite.c
//================================================================
void NewBlockPair(blocks *blockPair, int player);
void InitialiseBlock(GsSPRITE *block, long TIMdata, GsIMAGE *image);
void InitialiseSmash(GsSPRITE *smash, long TIMdata, GsIMAGE *image);
void InitialiseFont(GsSPRITE *font, long TIMdata, GsIMAGE *image);
void InitialiseWell(GsSPRITE *wellsprite, long TIMdata, GsIMAGE *image);
void InitialisePlayer(GsSPRITE *player, long TIMdata, GsIMAGE *image);
void InitialiseMenu(GsSPRITE *menu, long TIMdata, GsIMAGE *image);
void InitialiseLogo(GsSPRITE *logo, long TIMdata, GsIMAGE *image);
void ProperInitialiseTexture(long TIMdata, GsIMAGE* imageInfo);
